Subject: categories: Re: process algebras

From: Lindsay Errington <[email-masked]>
Date: Thu, 11 May 2000 11:59:56 -0700

> Is there any formalization of process algebras in term of categories? I
> would be interested in giving an computational, multi-process semantics
> to certain graphs, and I thought it could be done in terms of a functor
> to a process category (if this concept exists...)
> Is there any literature about this?

I have a CTCS99 paper ``On the semantics of message passing processes'' at
http://theory.doc.ic.ac.uk/~le which may be relevant. As the title
suggests, it looks at categorical semantics for a CSP-like language with
assignment. It is related to the work mentioned by Robin and Dusko. Also,
the conclusions of my thesis discusses representing process networks as
diagrams in a category of processes. This might be related to your comment
above.

Lindsay